WordPressWordPress - jQuery

WordPress 5.6 крупные изменения в jQuery

WordPress 5.6 крупные изменения в jQuery

WordPress 5.6 будет поставляться с последней библиотекой jQuery в следующем месяце. Это серьезное обновление, с которым все разработчики плагинов и тем должны начать тестирование. На прошлой неделе Мариус Дженсен объявил об изменении в блоге Make Core.

Ожидается, что следующие библиотеки, связанные с jQuery, будут поставляться с обновлением (билет WordPress Trac ):

  • jQuery 3.5.1
  • jQuery Migrate 3.3.2
  • jQuery UI 1.12.1

Это изменение неудивительно. Ведущий разработчик Эндрю Озз объявил об исходном трехфазном переходе для обновления библиотеки jQuery в начале июня. Конечная цель для WordPress – собрать самую последнюю версию и постоянно обновлять ее. WordPress отстал и использовал старую версию в течение нескольких циклов выпуска. В результате большая часть экосистемы плагинов и тем опирается на устаревшие функции.

Три этапа процесса заключаются в следующем:

  • WordPress 5.5: удалите скрипт jQuery Migrate 1.x.
  • WordPress 5.6: обновление до последней версии скриптов jQuery, jQuery UI и jQuery Migrate.
  • WordPress 5.7: удалите скрипт jQuery Migrate.

Если удаление, добавление и еще раз удаление jQuery Migrate звучит сбивающе с толку, это потому, что это может быть. jQuery Migrate – это, по сути, вспомогательный сценарий, который позволяет разработчикам «переходить» на более новые версии jQuery. Это исправление обратной совместимости. Версия jQuery Migrate, повторно добавляемая в WordPress 5.6, соответствует более новым версиям jQuery. Он добавляется как временное исправление, чтобы дать разработчикам плагинов и тем время обновить свой код. Есть надежда, что разработчики перестанут полагаться на него к моменту выхода WordPress 5.7.

«Следуя лучшим практикам и рекомендациям команды jQuery, Migrate следует использовать как вспомогательный инструмент, а не как постоянное решение обратной совместимости», – сказал Озз в нашем обсуждении несколько месяцев назад. «В идеале WordPress сможет это сделать».

Будет ли удален jQuery Migrate в WordPress 5.7, еще неизвестно. Сейчас это предварительная цель. Пока что процесс все еще идет. Во многом это также зависит от того, насколько плавно движется корабль WordPress 5.6. Выпуск 5.5 провалился, по крайней мере, для многих пользователей. Это результат, который мы не хотим повторять.

Навигация по всему этому – непростая задача для конечных пользователей. Они полагаются на разработчиков WordPress, плагинов и тем, чтобы все работало гладко. За месяц до запуска WordPress 5.6 авторам плагинов и тем необходимо начать тестирование, чтобы убедиться, что их проекты работают с последней версией WordPress.

Ожидая некоторых проблем с WordPress 5.5, команда разработчиков WordPress создала плагин Enable jQuery Migrate Helper, чтобы упростить переход пользователей на WordPress 5.5. За первую неделю у плагина было более 10 000 активных установок. Сегодня у него более 200 000 пользователей. Это число не обязательно указывает на плагины и темы с устаревшим кодом. Предположительно, некоторый процент этих пользователей больше не нуждается в плагине, потому что их расширения были обновлены, а они еще не деактивировали его. Нет общедоступных данных о том, кто использует плагин и почему.

Плагин по-прежнему полезен. Он регистрирует уведомления об устаревании и делает их доступными для пользователей. Если плагин не регистрирует никаких уведомлений через неделю или две, пользователям рекомендуется деактивировать плагин. Если они все еще видят уведомления, им следует связаться с разработчиками своих тем или плагинов, в зависимости от того, что вызывает уведомления. Когда пользователи обновляются до WordPress 5.6, плагин им больше не нужен.

У нас будет шесть месяцев в этом процессе до следующего основного выпуска. У разработчиков было достаточно времени, чтобы внести изменения. Пусть это будет дружеским напоминанием о тестировании плагинов и тем в бета-цикле 5.6.

Авторы плагинов и тем должны тестировать с SCRIPT_DEBUGвключенной константой в своих wp-config.phpфайлах. Дополнительную информацию можно найти в документации по отладке WordPress.

Дженсен опубликовал руководство по обновлению jQuery в неподдерживаемых темах или плагинах. Он в первую очередь ориентирован на конечных пользователей, которым достаточно комфортно идти по пути DIY. Однако разработчики также могут найти полезную информацию в учебнике.

Источник записи: https://wptavern.com

Похожие сообщения
WordPressПлагиныПолезные сайты

40 полезных инструментов для управления и развития вашего блога (обновлено)

ElementorWordPressПлагины

Elementor - Как создать мега меню с помощью дополнений Elementor и Plus

WordPressWordPress темы

20+ лучших женских тем WordPress 2020

WordPress

Как исправить ошибку загрузки изображения WordPress